> # NAME

> cgCombinePrograms2 - combine programs from two different domains

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGprogram cgCombinePrograms2( const CGprogram program1,
>                                     const CGprogram program2 );

> # PARAMETERS

> program1

>   An executable program from one domain.

> program2

>   An executable program from a different domain.

> # RETURN VALUES

> Returns a handle to the newly created program on success.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgCombinePrograms2 takes two programs from different domains and combines them into a single CGprogram. This is a convenience function for cgCombinePrograms.

> # EXAMPLES

> CGprogram p1 = cgCreateProgram(context, CG_SOURCE, vSrc, vProfile, vEntryName, NULL); CGprogram p2 = cgCreateProgram(context, CG_SOURCE, fSrc, fProfile, fEntryName, NULL);

> CGprogram combined = cgCombinePrograms2(p1, p2);

> cgDestroyProgram(p1); cgDestroyProgram(p2);

> cgGLBindProgram(combined); /* Assuming cgGL runtime */

> /* Render... */

> # ERRORS

> The errors listed in cgCombinePrograms might be generated.

> # HISTORY

> cgCombinePrograms2 was introduced in Cg 1.5.

> # SEE ALSO

> cgCombinePrograms, cgCombinePrograms3